<template>
  <div>
    <div v-for="headline in headlines" :key="headline.id" class="bg-white shadow rounded p-4">
      <a href="" class="text-gray-900 hover:text-blue-700 hover:underline">
        <h2 class="font-black">{{ headline.title }}</h2>
      </a>
      <div class="text-sm text-gray-500">
        <span>{{ headline.publishedAt }}</span>
        <span>{{ headline.source.name }}</span>
      </div>
      <p class="text-gray-700">{{ headline.description }}</p>
    </div>
  </div>
</template>

<script>
export default {
  async asyncData({ app }) {
    const topHeadlines = await app.$axios.$get(
      "/api/top-headlines?country=us"
    );
    return { headlines: topHeadlines.articles };
  }
};
</script>
